Bug 135898 - NFSv4 showing files as directories
NFSv4 showing files as directories
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-15 14:13 EDT by Erich Schraer
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 15:58:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Erich Schraer 2004-10-15 14:13:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
NFS servers running Fedora Core 2 with kernel 2.6.8-1.521 patched with
patch from Bugzilla #126258. Client running Fedora Core 2 with
unpatched kernel 2.6.8-1.521. Using NFSv4 with auth_sys authentication.  

One server provides /nfsv4/storage1/home1 filesystem which has a
symbolic link from /home/fbpp. Second server provides
/nfsv4/storage2/data1 filesystem which has a symbolic link from
/data/genetics.  User employs the tcsh as his login shell.

After making an ssh connection to client and changing to working
directory, a user tries to run a perl script.  He gets an error saying
that the script is actually a directory.  This continues to occur
until he has done a directory listing of the script, then the script
will execute.

We've had to go back to using NFSv3 for now.


Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-22

How reproducible:
Always

Steps to Reproduce:
1.Log into client with home directory mounted from one NFSv4 server.
2.Try to run script residing in another directory mounted from s
second NFSv4 server.
    

Actual Results:  Shell reports that script is a directory.

Expected Results:  Script should have executed.

Additional info:

Here is a simplified sample session:

mrc1:/home/fbpp% cd work
mrc1:/home/fbpp/work% /data/genetics/packages/bin/myG2fast.pl
/data/genetics/packages/bin/myG2fast.pl: Is a directory.
mrc1:/home/fbpp/work% /data/genetics/packages/bin/myG2fast.pl
/data/genetics/packages/bin/myG2fast.pl: Is a directory.
mrc1:/home/fbpp/work% dir -l /data/genetics/packages/bin/myG2fast.pl
-rwxrwx---  1 genetics genetics 33074 Oct 12 23:05 
/data/genetics/packages/bin/myG2fast.pl
mrc1:/home/fbpp/work% /data/genetics/packages/bin/myG2fast.pl
messages indicating the script is running...
Comment 1 Matthew Miller 2005-04-26 12:11:24 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-25 15:58:39 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.

Note You need to log in before you can comment on or make changes to this bug.